import csv
import sys
import numpy as np
import matplotlib.pyplot as plt

def usage():
    print('Usage: python get_load.py filename')
    print('  filename: a load file name generated by the ISO New England')

if len(sys.argv) < 2:
    usage()
    sys.exit(-1)

f = open(sys.argv[1], 'r')
reader = csv.reader(f, delimiter=',')

num = 0
for row in reader:
    if row[0] == "D":
        num += 1

peak = 0
peak_time = 0
denom = -1
y = [0]*num
f.seek(0)
i = 0

for row in reader:
    if row[0] == "D":
        if denom == -1:
            denom = float(row[3])
        if peak < float(row[3]):
            peak = float(row[3])
            peak_time = row[1]
        y[i] = float(row[3])/denom
        i += 1

x = np.arange(0, num)
fig, ax = plt.subplots()
ax.plot(x, y, 'b-')
ax.set_ylabel('Scale factors')
if num == 24:
    ax.set_xlabel('Time (hours of a day)')
elif num == 288:
    ax.set_xlabel('Time (5 mins of a day)')
else:
    ax.set_xlabel('Time')
plt.show()

i = 0

for i in range(num):
    print(format(y[i], '10.8f'))
